# $Revision: 1.25 $, $Date: 1999/09/13 16:27:00 $
Summary:	CMU SNMP agent
Summary(de):	CMU-SNMP-Agent 
Summary(fr):	Agent CMU SNMP
Summary(pl):	Agent CMU SNMP
Summary(tr):	CMU Basit A Ynetimi Protokolu (SNMP)
Name:		cmu-snmp
Version:	3.7
Release:	2
Copyright:	CMU
Group:		Networking/Daemons
Group(pl):	Sieciowe/Demony
Source0:	ftp://ftp.ibr.cs.tu-bs.de/pub/local/linux-cmu-snmp/%{name}-linux-%{version}-src.tar.gz
Source1:	cmu-snmpd.init
Source2:	cmu-snmp.sysconfig
Patch0:		cmu-snmp-linux-ipx.patch
Patch1:		cmu-snmp-linux-config.patch
Requires:	chkconfig >= 0.9
Requires:	rc-scripts
Conflicts:	ucd-snmp
Prereq:		/sbin/chkconfig
URL:		http://www.gaertner.de/snmp/
Provides:	snmpd
BuildRoot:	/tmp/%{name}-%{version}-root

%description
This is a derivative of the original Carnegie Mellon University Simple
Network Management Protocol.  It is useful for managing networks and doing
accounting.

%description -l pl
Pakiet pochodzi z oryginalnego Carnegie Mellon University Simple Network
Management Protocol. Jest uyteczny przy zarzdzaniu sieci.

%package utils
Summary:	CMU SNMP utilities
Summary(de):	CMU-SNMP-Dienstprogramme
Summary(fr):	Utilitaires CMU SNMP
Summary(pl):	Narzdzie dla SNMP
Summary(tr):	CMU SNMP aralar
Group:		Networking/Utilities
Requires:	%{name} = %{version}

%description utils
These are the various utilities for use with CMU SNMP.  Contains utils
such as snmpwalk, snmptest, and more.

%dascription -l pl utils
S to rne narzdzie do uycia z CMU SNMP, takie jak  snmpwalk, snmptest,
i inne.

%package devel
Summary:	CMU SNMP development libs and headers
Summary(de):	CMU SNMP Entwicklungs-Libs und Headers 
Summary(fr):	Bibliothques et en-ttes de dveloppement CMU SNMP
Summary(pl):	Biblioteki i pliki nagwkowe dla CMU SNMP
Summary(tr):	CMU SNMP gelitirme kitaplklar ve balk dosyalar
Group:		Networking/Utilities
Requires:	%{name} = %{version}

%description devel
These are the development libraries and header files for CMU SNMP. This will
allow the network administrator to write programs for use with network
management.

%description -l pl devel
Pakiet zawiera biblioteki i pliki nagwkone dla CMU SNMP umoliwiajce
administratorom pisanie programw uywajcych SNMP.

%package static
Summary:	CMU SNMP static libraries
Summary(pl):	Biblioteki statyczbe do CMU SNMP
Group:		Networking/Utilities
Requires:	%{name}-devel = %{version}

%description static
These are the static libraries for CMU SNMP.

%description -l pl static
Pakiet zawiera biblioteki statyczne dla CMU SNMP.

%prep
%setup -q -n %{name}-linux-%{version}
%patch0 -p1
%patch1 -p1

%build
autoconf
%configure \
	--with-liba \
	--without-debug \
#	--with-ipx

make -C snmplib libsnmp.so \
	cprefix=/etc/snmpd \
	FLAGS="$RPM_OPT_FLAGS" \
	DEBUG="$RPM_OPT_FLAGS"

make \
        cprefix=/etc/snmpd \
        FLAGS="$RPM_OPT_FLAGS" \
        DEBUG="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/{%{_bindir},%{_sbindir},%{_libdir}} \
	$RPM_BUILD_ROOT/{%{_mandir}/man{1,3,5,8},%{_includedir}/snmp} \
	$RPM_BUILD_ROOT/{etc/{snmpd,sysconfig,rc.d/init.d},var/run}

make install \
	SHLIBDIR=$RPM_BUILD_ROOT%{_libdir} \
	exec_prefix=$RPM_BUILD_ROOT%{_prefix} \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir} \
	cprefix=$RPM_BUILD_ROOT/etc/snmpd

strip $RPM_BUILD_ROOT{%{_bindir}/*,%{_sbindir}/*} || :

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/snmpd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/snmpd
touch $RPM_BUILD_ROOT/var/run/snmpd.agentinfo

strip --strip-unneeded $RPM_BUILD_ROOT%{_libdir}/lib*.so.*.*

gzip -9nf $RPM_BUILD_ROOT%{_mandir}/man?/* \
	HISTORY README README.linux

%post
/sbin/ldconfig
/sbin/chkconfig --add snmpd
if [ -r /var/lock/subsys/snmpd ]; then
	/etc/rc.d/init.d/snmpd restart >&2
else
	echo "Run \"/etc/rc.d/init.d/snmpd start\" to start CMU SNMP daemon."
fi

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del snmpd
	/etc/rc.d/init.d/snmpd stop >&2
fi

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(600,root,root) %config %verify(not md5 mtime size) /etc/sysconfig/snmpd
%attr(700,root,root) %dir /etc/snmpd
%attr(600,root,root) %config %verify(not md5 mtime size) /etc/snmpd/snmpd.conf
%attr(754,root,root) /etc/rc.d/init.d/snmpd
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_libdir}/mib.txt
%{_mandir}/man5/snmpd.conf.5*
%{_mandir}/man5/variables.5*
%{_mandir}/man8/snmpd.8*
%attr(755,root,root) %{_sbindir}/snmpd
%attr(600,root,root) %ghost /var/run/snmpd.agentinfo

%files utils
%defattr (644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man8/snmptrapd.8*
%{_mandir}/man1/*

%files devel
%defattr (644,root,root,755)
%{_includedir}/snmp
%{_mandir}/man3/*

%files static
%attr(644,root,root) %{_libdir}/libsnmp.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All below listed persons can be reached on <cvs_login>@pld.org.pl

$Log: cmu-snmp.spec,v $
Revision 1.25  1999/09/13 16:27:00  kloczek
- fix: in %post check /var/lock/subsys/snmpd instead /var/run/snmpd.pid in
  detection is resatrt service is neccessary.

Revision 1.24  1999/09/13 16:00:07  kloczek
- release 2.

Revision 1.23  1999/09/11 13:34:51  misiek
- fixed requires (PR#30)

Revision 1.22  1999/09/09 21:54:43  kloczek
- added missing %defattr() in utils.

Revision 1.21  1999/08/05 16:43:40  kloczek
- changed permission on /etc/rc.d/init.d/snmpd to 754,
- cosmetics.

Revision 1.20  1999/08/04 18:40:47  baggins
/init.d\/cmu-snmpd/init.d\/snmpd

Revision 1.19  1999/07/29 09:19:55  misiek
new spec/updated specs

Revision 1.18  1999/07/15 16:54:11  baggins
- more macros

Revision 1.17  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).

* Tue Jan 26 1999 Micha Kuratczyk <kurkens@polbox.com>
  [3.6-4]
- added "Group(pl)"
- fixed pl translations

* Fri Dec 11 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [3.6-3]
- cprefix changed to /etc/snmpd,
- changed patch for snmpd.agentinfo to /var/run (now this file
  is %ghost),
- added "Provides: snmpd",
- removed %config from /etc/rc.d/init.d/cmu-snmpd,
- changed patch to snmpd.conf to /etc/snmpd and to snmpd.agentinfo to
  /var/run (cmu-snmp-config.patch),
- fixed cmu-snmpd.init:
  -- fixed passing -f option,
  -- added config fields,
  -- be more verbose on start without networking,
  -- changed start and kill priority to 41 (40 is allocated),
- removed --with-ipx.

* Mon Dec  7 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [3.6-2]
- added -q %setup parameter,
- added gzipping man pages,
- added using LDFLAGS="-s" to ./configure enviroment,
- rewrited %post, %preun scripts,
- changed rc script file name to cmu-snmpd,
- added /etc/sysconfig/cmu-snmpd witch allow configure using -A
  option or not on start CMU snmpd daemon by setting up
  READ_PROC_IP_ACCT variable in this file,
- added static subpackage,
- added "Prereq: /sbin/ldconfig" for main package,
- changed dependencies to "Requires: %%{name} = %%{version}" in devel
  subpackage,
- added --with-ipx (only on Linux),
- added using $RPM_OPT_FLAGS during compile,
- added cmu-snmp-linux-3.6.patch (fix passing $RPM_OPT_FLAGS to
  some parts compiled source),
- added stripping shared libraries.

* Fri Dec  4 1998 Konrad Stpie <konrad@interdata.com.pl>
  [3.6-1]
- Added full %attr and changed man pages group to man,
- Translations for pl de fr tr (de fr tr only Summary, from RedHat),
- Removed duplicate files from utils and devel,
- Changed mkdir -p to install -d,
- Added %doc.

* Thu Feb 19 1998 Arne Coucheron <arneco@online.no>
- Release 3.5-1